Firefox : refonte du portail des extensions avant Quantum

Le par  |  18 commentaire(s)
Firefox-Quantum-logo

Avant l'arrivée de Firefox Quantum et des WebExtensions par défaut, le site AMO de Mozilla fait peau neuve.

Après une préversion, la refonte du portail AMO (addons.mozilla.org) de Mozilla est déployée. Il est l'hôte officiel des modules complémentaires pour le navigateur Firefox, sachant qu'il y aura un gros chamboulement ce mois-ci.

C'est en effet la semaine prochaine que Firefox 57 alias Firefox Quantum sera disponible en version stable (actuellement en bêta). Pour l'occasion, les WebExtensions deviendront le format standard pour les extensions. Les extensions d'antan se basant sur le modèle XUL et XPCOM ne seront plus fonctionnelles.

Cette évolution majeure n'est pas suffisamment soulignée sur le nouveau site AMO. Il aurait par exemple été pratique de proposer un tag afin d'identifier rapidement les extensions ayant fait la bascule et qui seront compatibles avec Firefox Quantum.

AMO
Pour autant, le nouveau portail dispose de plusieurs filtres pour les recherches et demeure plus pratique que le Chrome Web Store. Évidemment, comme avec tout changement, il faut un temps d'adaptation pour retrouver ses repères, comme pour accéder aux commentaires par exemple.

Le nouveau AMO a été développé avec React et Redux. Le front-end et le back-end sont séparés et communiquent via une API. Le site est adaptatif pour convenir aux différentes tailles des écrans et orientations.

Complément d'information

Vos commentaires Page 1 / 2

Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #1987504
Je viens d'aller voir le site... comment dire... c'est laid, pas ergonomique
Le #1987507
Plutôt beau et fluide ! C'est pas mal du tout et beaucoup mieux qu'avant, ça va sans dire
Le #1987511
C'est propre, clair, moderne et fluide à l'image du nouveau Mozilla qui se construit tout doucement !
Le #1987517
En cliquant sur "Afficher la version sur ordinateur" dans le bandeau noir en bas de page, on revient à l'ancienne version sans changer de page, ce qui permet de voir si l'extension choisie est compatible ou non avec FF 57+.

On revient à la nouvelle présentation, tout en restant encore sur la même page en cliquant sur "Voir le site mobile", également en bas de page, mais tout petit.

Ce n'est pas très pratique mais ça fonctionne.

Le #1987520
Monteverdi a écrit :

En cliquant sur "Afficher la version sur ordinateur" dans le bandeau noir en bas de page, on revient à l'ancienne version sans changer de page, ce qui permet de voir si l'extension choisie est compatible ou non avec FF 57+.

On revient à la nouvelle présentation, tout en restant encore sur la même page en cliquant sur "Voir le site mobile", également en bas de page, mais tout petit.

Ce n'est pas très pratique mais ça fonctionne.


Si l'extension est incompatible, le message "Ce module est incompatible avec votre version de Firefox." apparaît.
Le #1987527
Oui, mais si on est encore avec Firefox 56 ou moins, il n'y a pas d'avertissement d'incompatibilité avec FF 57+ dans la nouvelle version du site, ce qui gêne la "préparation au changement".

Et les commentaires apparaissent immédiatement avec l'ancienne version.

Le #1987545
Monteverdi a écrit :

Oui, mais si on est encore avec Firefox 56 ou moins, il n'y a pas d'avertissement d'incompatibilité avec FF 57+ dans la nouvelle version du site, ce qui gêne la "préparation au changement".

Et les commentaires apparaissent immédiatement avec l'ancienne version.


Le nouveau site est pensé pour la version 57 qui sort dans une semaine. Si tu as encore besoin de chercher des modules compatibles, reviens à l'ancienne version.
Le #1987579
Bonsoir,
sinon avec cette adresse que des modules compatibles, avec l'ancien visuel
https://addons.mozilla.org/fr/firefox/tag/firefox57
Le #1987582
C'est fou cette tendance qu'on a à être plutôt pour ou contre le changement, moi je n'aime pas changer, je n'aime pas le nouveau site, faut cliquer pour voir les derniers commentaires (pour savoir si les derniers disent "please update for ..." par exemple).

Et dans une semaine, ce sera donc le drame... Les extensions ne migrent pas, pas toutes loin de là... Adieu Firefox, bonjour Waterfox ?
Le #1987627
TGN a écrit :

Monteverdi a écrit :

Oui, mais si on est encore avec Firefox 56 ou moins, il n'y a pas d'avertissement d'incompatibilité avec FF 57+ dans la nouvelle version du site, ce qui gêne la "préparation au changement".

Et les commentaires apparaissent immédiatement avec l'ancienne version.


Le nouveau site est pensé pour la version 57 qui sort dans une semaine. Si tu as encore besoin de chercher des modules compatibles, reviens à l'ancienne version.


Justement, c'est de là que vient le problème,

Le site est conçu pour le "nouveau" Firefox, hors n'oublions pas que pendant encore quelques jours, les utilisateurs "normaux" sont censés utiliser la version 56, et avec celle-ci, le site n'indique pas que l'extension choisie sera incompatible avec les nouvelles versions, dès que le changement sera effectué.

Ceci est un défaut, plutôt une faute de "logique".

Exemple, la très célèbre DownThemAll!, si j'ai FF 56, que j'en ai besoin et que je ne l'ai pas utilisée jusqu'alors, et bien, ça carrière sera réduite à quelques jours, ce qui est idiot.

Perso, j'ai côte à côte FF 56 "normal" et FF "Nightly", actuellement en version 58, ce qui me permet de les comparer à tout moment.

Et je n'ai que 4 extensions, plus une installée par Mozilla :

http://pix.toile-libre.org/upload/original/1510132129.png

Seule DownThemAll! sera condamnée à mort et exécutée par Mozilla.


Suivre les commentaires
Poster un commentaire
Anonyme